<?php

use Illuminate\Support\Facades\Route;

Route::get('/', [App\Http\Controllers\Site\HomeController::class, 'index'])->name('home');
Route::get('/about', [App\Http\Controllers\Site\AboutController::class, 'index'])->name('about');
Route::get('/distribution', [App\Http\Controllers\Site\DistributionController::class, 'index'])->name('distribution');
Route::get('/services', [App\Http\Controllers\Site\ServicesController::class, 'index'])->name('services');
Route::get('/services/{id}', [App\Http\Controllers\Site\ServicesController::class, 'show'])->name('services.show');
Route::get('/team', [App\Http\Controllers\Site\TeamController::class, 'index'])->name('team');
Route::get('/faq', [App\Http\Controllers\Site\FaqController::class, 'index'])->name('faq');
Route::get('/contact', [App\Http\Controllers\Site\ContactController::class, 'index'])->name('contact');
Route::get('/quote', [App\Http\Controllers\Site\QuoteController::class, 'index'])->name('quote');

Route::get('/blog', [App\Http\Controllers\Site\BlogController::class, 'index'])->name('blog');
Route::get('/blog/{blog:slug}', [App\Http\Controllers\Site\BlogController::class, 'show'])->name('blog.show');
Route::post('/blog/{blog:slug}/comment', [App\Http\Controllers\Site\BlogController::class, 'saveComment'])->name('blog.comment');
